## org.gnu.gtk
Class Clipboard

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.Clipboard

public class Clipboard
extends GObject

The Clipboard object represents a clipboard of data shared between different processes or between different widgets in the same process.

TODO: This requires gdk.Selections

TODO: callback functions

Method Summary
`void` `clear()` Clear the contents of the clipboard.
`static Clipboard` `get(Atom atom)` Returns the clipboard object for the given selection.
`SelectionData` `getContents(Atom atom)` Requests the contents of the clipboard as `SelectionData`
`Display` `getDisplay()` Gets the `Display` associated with clipboard.
`static Clipboard` `getForDisplay(Display display, Atom atom)`
`Pixbuf` `getImage()`
`java.lang.String` `getText()` Requests the contents of the clipboard as text.
`boolean` `isImageAvailable()`
`boolean` `isTextAvailable()`
`void` `setCanStore(TargetEntry[] targets)`
`void` `setImage(Pixbuf pixbuf)`
`void` `setText(java.lang.String text)` Set the contents of the clipboard.
`void` `store()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### clear

    public void clear()

  Clear the contents of the clipboard.

### get

    public static Clipboard get(Atom atom)

  Returns the clipboard object for the given selection. See `getForDisplay(Display, Atom)` for complete details.

  Parameters:
    `atom` - a `Atom` which identifies the clipboard to use
  Returns:
    the appropriate clipboard object. If no clipboard already exists, a new one will be created. Once a clipboard object has been created, it is persistent for all time and cannot be freed.

### getForDisplay

    public static Clipboard getForDisplay(Display display,
                                          Atom atom)

  Parameters:
    `display` - the display for which the clipboard is to be retrieved or created
    `atom` - a `Atom` which identifies the clipboard to use
  Returns:
    he appropriate clipboard object. If no clipboard already exists, a new one will be created. Once a clipboard object has been created, it is persistent for all time and cannot be freed.

### getDisplay

    public Display getDisplay()

  Gets the `Display` associated with clipboard.

  Returns:
    the `Display` associated with clipboard

### getContents

    public SelectionData getContents(Atom atom)

  Requests the contents of the clipboard as `SelectionData`

  Parameters:
    `atom` - an `Atom` representing the form into which the clipboard owner should convert the selection
  Returns:
    a newly-allocated `SelectionData` object or `NULL` if retrieving the given target failed TODO: write the JNI

### isTextAvailable

    public boolean isTextAvailable()

### isImageAvailable

    public boolean isImageAvailable()

### setText

    public void setText(java.lang.String text)

  Set the contents of the clipboard.

### getText

    public java.lang.String getText()

  Requests the contents of the clipboard as text.

### setImage

    public void setImage(Pixbuf pixbuf)

### getImage

    public Pixbuf getImage()

### setCanStore

    public void setCanStore(TargetEntry[] targets)

### store

    public void store()